Bug 513420 - Review Request: whaawmp - Lightweight Media Player
Summary: Review Request: whaawmp - Lightweight Media Player
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-23 15:12 UTC by Christoph Wickert
Modified: 2009-10-27 06:51 UTC (History)
5 users (show)

Fixed In Version: 0.2.12.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-25 19:00:04 UTC
pbrobinson: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2009-07-23 15:12:31 UTC
Spec URL: http://cwickert.fedorapeople.org/review/whaawmp.spec
SRPM URL: http://cwickert.fedorapeople.org/review/whaawmp-0.2.12.1-1.fc12.src.rpm
Description: Whaaw! Media Player is written in pygtk and will play any audio/video files that GStreamer can play. It supports fullscreen mode, seeking, changing video colour settings and more. It is intended to be a basic media player similar to totem but without any GNOME dependencies.


Scratchbuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=1495230

Comment 1 Rex Dieter 2009-07-23 16:55:09 UTC
One small sugggestion, no need to mention the language in the apps' Summary, ie, 
Summary: Media Player
should be sufficient.

Comment 2 Christoph Wickert 2009-07-23 17:01:10 UTC
Agreed, but Media Player is a bit generic. How about "Media Player based on GStreamer" then?

Comment 3 Rex Dieter 2009-07-23 17:17:50 UTC
I personally don't believe gst should be mentioned either, ie, describe the app, what it does, what distinguishes it without resorting to jargon or mentioning technical details like toolkits or media engines.  Just my $0.02

Comment 4 Christoph Wickert 2009-07-23 17:36:44 UTC
Lightweight Media Player

Comment 5 Bastien Nocera 2009-08-04 09:56:45 UTC
And you can remove the mention of "Totem" (wrongly capitalised) in the summary as well, seeing that the author's description is factually wrong.

Comment 6 Christoph Wickert 2009-08-04 11:34:03 UTC
(In reply to comment #5)
> And you can remove the mention of "Totem" (wrongly capitalised) in the summary
> as well, 

Ok, I will remove totem, but where is it capitalized?

> seeing that the author's description is factually wrong.

Erm, sorry, I don't understand. What's wrong with it?

Comment 7 Bastien Nocera 2009-08-04 13:36:06 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > And you can remove the mention of "Totem" (wrongly capitalised) in the summary
> > as well, 
> 
> Ok, I will remove totem, but where is it capitalized?

It's not, which is why it's wrong.

> > seeing that the author's description is factually wrong.
> 
> Erm, sorry, I don't understand. What's wrong with it?  

"similar to totem but without any GNOME dependencies"? It's not anything like Totem in terms of features, and the only somewhat GNOME-y dependency is GConf.

Comment 8 Christoph Wickert 2009-08-04 13:54:31 UTC
(In reply to comment #7)
> It's not, which is why it's wrong.

I see. I don't want to argue, but both the tarball and the package are not capitalized ether.

> It's not anything like Totem in terms of features, 

Agreed

> and the only somewhat GNOME-y dependency is GConf.

Please don't forget gnome-themes (why?) and control-center and evolution-data server (through totem-pl-parser) plus all their deps. Totem's dependency chain is rather long, at least in Fedora.

I will change summary and description as soon as somebody picks up this review.

P.S.: Bastien, would you mind replying to bug 488558, which is in NEEDINFO for 6 more than 6 weeks now? TIA!

Comment 9 Bastien Nocera 2009-08-04 14:47:34 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > It's not, which is why it's wrong.
> 
> I see. I don't want to argue, but both the tarball and the package are not
> capitalized ether.

No, and that's expected.

> > It's not anything like Totem in terms of features, 
> 
> Agreed
> 
> > and the only somewhat GNOME-y dependency is GConf.
> 
> Please don't forget gnome-themes (why?)

Because nobody bothered to file a bug, should really be gnome-icon-theme. Fixed in rawhide.

> and control-center

It doesn't.

>  and evolution-data
> server (through totem-pl-parser)

It doesn't either.

> plus all their deps. Totem's dependency chain
> is rather long, at least in Fedora.
> 
> I will change summary and description as soon as somebody picks up this review.
> 
> P.S.: Bastien, would you mind replying to bug 488558, which is in NEEDINFO for
> 6 more than 6 weeks now? TIA!  

Answered there.

Comment 10 Peter Robinson 2009-08-06 14:38:10 UTC
I'll take this for review.

Comment 11 Jason Tibbitts 2009-08-10 23:36:07 UTC
Setting the fedora-review flag as that seems to have been overlooked.

Comment 12 Peter Robinson 2009-09-03 22:28:16 UTC
An initial review. The summary and description still need to be fixed. Other than that there's only a couple of small bits.

- rpmlint output

rpmlint whaawmp-0.2.12.1-1.fc11.src.rpm whaawmp-0.2.12.1-1.fc11.noarch.rpm
whaawmp.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/whaawmp/whaawmp.py 0644 /usr/bin/env
whaawmp.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/whaawmp/thumbnailer.py 0644 /usr/bin/env
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  259b61cfa87bbba54dcd9579a815a421  whaawmp-0.2.12.1.tar.bz2
+ package successfully builds on at least one architecture
  tested using koji scratch build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1653577
+ BuildRequires list all build dependencies
+ %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
+ no duplicate files in %files
+ Package perserves timestamps on install
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
n/a packages should not contain libtool .la files
+ packages containing GUI apps must include %{name}.desktop file
- packages must not own files or directories owned by other packages
  I'm not sure why both packages need to own this?
  # We need to own this dir although it's already owned by Thunar
  %dir %{_datadir}/thumbnailers/
+ %install must start with rm -rf $RPM_BUILD_ROOT etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin

Comment 13 Christoph Wickert 2009-09-06 01:43:48 UTC
Reworked summary and description. Rpmlint is silent.

http://cwickert.fedorapeople.org/review/whaawmp.spec
http://cwickert.fedorapeople.org/review/whaawmp-0.2.12.1-2.fc12.src.rpm

Comment 14 Christoph Wickert 2009-10-09 18:45:48 UTC
Ping.

Comment 15 Peter Robinson 2009-10-13 09:46:23 UTC
All looks OK. Still don't see why the package needs to own the below directory. If its needed by more than one package surely it should be added to one of the filesystem packages.

# We need to own this dir although it's already owned by Thunar
%dir %{_datadir}/thumbnailers/

APPROVED.

Comment 16 Christoph Wickert 2009-10-13 10:25:47 UTC
(In reply to comment #15)
> If its needed by more than one package surely it should be added to one of the
> filesystem packages.

Agreed, but so long, we need to own it.

New Package CVS Request
=======================
Package Name: whaawmp
Short Description: Lightweight Media Player
Owners: cwickert
Branches: F-10 F-11 F-12
InitialCC:

Comment 17 Kevin Fenzi 2009-10-13 16:29:57 UTC
cvs done.

Comment 18 Fedora Update System 2009-10-13 17:05:23 UTC
whaawmp-0.2.12.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/whaawmp-0.2.12.1-2.fc12

Comment 19 Fedora Update System 2009-10-13 17:06:50 UTC
whaawmp-0.2.12.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/whaawmp-0.2.12.1-2.fc11

Comment 20 Fedora Update System 2009-10-13 17:07:06 UTC
whaawmp-0.2.12.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/whaawmp-0.2.12.1-2.fc10

Comment 21 Fedora Update System 2009-10-15 22:32:48 UTC
whaawmp-0.2.12.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update whaawmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10506

Comment 22 Fedora Update System 2009-10-15 22:40:18 UTC
whaawmp-0.2.12.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update whaawmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10535

Comment 23 Peter Robinson 2009-10-25 19:00:04 UTC
closing as its in F-12/rawhide

Comment 24 Fedora Update System 2009-10-27 06:44:20 UTC
whaawmp-0.2.12.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2009-10-27 06:51:15 UTC
whaawmp-0.2.12.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.